﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;

namespace UseDom
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();

            HtmlPage.RegisterScriptableObject("MyDotNetObject", this);
        }

        [ScriptableMember]
        public void ClickFromJavaScript()
        {
            mainStack.Children.Add(new TextBlock { Text = "From Javascript" });
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            HtmlElement div = HtmlPage.Document.GetElementById("fromSilverlight");

            div.SetProperty("innerHTML", "Hello from Silverlight!");

            div.AttachEvent("onmousedown", OnHtmlMouseDown);
        }

        private void OnHtmlMouseDown(object sender, HtmlEventArgs e)
        {
            mainStack.Children.Add(new TextBlock { Text = "From HTML" });
        }
    }
}
