﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SimpleAnimation
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();

            myRectangle.MouseEnter += RunAnim1;
            myRectangle.MouseLeave += RunAnim2;

            this.MouseLeftButtonDown += new MouseButtonEventHandler(Page_MouseLeftButtonDown);
        }

        void Page_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            Ellipse ell = new Ellipse();
            ell.Fill = new SolidColorBrush(Colors.Blue);
            ell.Width = 20;
            ell.Height = 20;

            myCanvas.Children.Add(ell);

            DoubleAnimation xanim = new DoubleAnimation();
            Storyboard.SetTargetProperty(xanim, "(Canvas.Left)");
            xanim.From = 0;
            xanim.To = 100;
            Storyboard.SetTarget(xanim, ell);


            Storyboard sb = new Storyboard();
            sb.Children.Add(xanim);

            this.Resources.Add(sb);

            sb.Completed += delegate { this.Resources.Remove(sb); };

            sb.Begin();
        }

        void RunAnim2(object sender, MouseEventArgs e)
        {
            //myAnimation2.Begin();
            //myAnimation.Stop();
        }

        void RunAnim1(object sender, RoutedEventArgs e)
        {
            //myAnimation.Begin();
        }
    }
}
