﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace VideoExample
{
	public partial class Page : UserControl
	{
		public Page()
		{
			// Required to initialize variables
			InitializeComponent();
		}

        private void OnVideoClick(object sender, MouseButtonEventArgs e)
        {
            if (PluralsightLogoMovie_wmv.CurrentState == MediaElementState.Playing)
            {
                PluralsightLogoMovie_wmv.Pause();
            }
            else
            {
                PluralsightLogoMovie_wmv.Play();
            }
        }

        private void VideoOnStateChanged(object sender, RoutedEventArgs e)
        {
            string status = string.Format("Status: {0}, download progress: {1}, buffer status {2}",
                PluralsightLogoMovie_wmv.CurrentState,
                PluralsightLogoMovie_wmv.DownloadProgress,
                PluralsightLogoMovie_wmv.BufferingProgress);
            videoStatusText.Text = status;
        }
	}
}